aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-bitbake-image-fake.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-01-25 23:30:06 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-01-25 23:41:56 +0100
commiteefb922b660fc02c16bb0289af53d7339f95dd88 (patch)
tree64792963095c416d0a9b691f8c4e11cdaee1cda3 /jjb/common/include-agl-bitbake-image-fake.sh
parentc7afa2e9eb426b05fe178a3c6935d620830efb6b (diff)
Add new ci jobs using multijob and control slave.
Change-Id: I4cbfe33ec05b4de1558834a902fe7b55bea4c31e Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-agl-bitbake-image-fake.sh')
-rw-r--r--jjb/common/include-agl-bitbake-image-fake.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/jjb/common/include-agl-bitbake-image-fake.sh b/jjb/common/include-agl-bitbake-image-fake.sh
new file mode 100644
index 00000000..47eca230
--- /dev/null
+++ b/jjb/common/include-agl-bitbake-image-fake.sh
@@ -0,0 +1,37 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the image
+################################################################################
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+#( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 1 )
+
+if [ x"${MACHINE}" = x"raspberrypi3" ] ; then
+export DEVICE_TYPE=raspberrypi3-uboot
+export DEVICE_NAME=raspberrypi3
+export DEVICE_DTB=uImage-bcm2710-rpi-3-b.dtb
+export DEVICE_KERNEL=uImage
+export DEVICE_INITRAMFS=initramfs-netboot-image-raspberrypi3.ext4.gz.u-boot
+export DEVICE_NBDROOT=agl-demo-platform-raspberrypi3.ext4
+else
+ echo "This fake build script is for raspberrypi3 only."
+ exit 1
+fi
+
+
+mkdir -p tmp/deploy/images/${MACHINE}/
+
+pushd tmp/deploy/images/${MACHINE}/
+
+for i in DEVICE_DTB DEVICE_KERNEL DEVICE_INITRAMFS DEVICE_NBDROOT ; do
+ eval curl -o "$(echo "$"${i})" "http://download-new.automotivelinux.org/AGL/snapshots/master/2017-01-08-b241/${MACHINE}/deploy/images/${MACHINE}/$(echo "$"${i})"
+ ls -alh
+done
+
+ls -alh
+
+popd
+
+du -hs tmp/deploy/*